# ConWhAt - a library for Connectome-based White matter Atlas analyses

ConWhAt is a tool for studying the effects of white matter damage on brain networks. 

Its primary functionality is *connectome-based* white matter atlas analysis, for which it uses a set of connectome-based white matter atlases developed by our research group for this purpose, as well as (optionally) similar atlases developed by other groups. ConWhAt can also be used for more conventional *tract-based* white matter atlas analysis, and more generally for querying how spatial locations in the white matter tissue relate to different grey matter regions and brain networks. 

Our main goal in developing ConWhAt is to support patient-specific neurocomputational modelling using [The Virtual Brain (TVB)](http://www.thevirtualbrain.org/tvb/zwei) modelling and neuroinformatics platform. Examples of how to set up TVB models from ConWhAt analysis outputs are given in the documentation.


## Getting started

To get started with ConWhAt and for more info on the connectome-based white matter atlas methodology:

- Read the [documentation](http://conwhat.readthedocs.io)
- Read the [research paper](#References)
- Go to the [ConWhAt NITRC page](https://www.nitrc.org/projects/conwhat/) to download the latest atlas data



## Contributing

ConWhAt is under active development. New contributors and developers are warmly welcomed. See the [contributor guidelines](http://conwhat.readthedocs.io) for more info. 



## References

Griffiths, J.D.,  & McIntosh, A.R. (in prep). *Connectome-based white matter atlases for virtual lesion studies*.


